/*
 * packetmodeller/packet_modeller.h
 *
 * Copyright (C) 2008-2009 Reto Gantenbein
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __PACKETMODELLER_H
#define __PACKETMODELLER_H

#include <netinet/in.h>
#include "typedef.h"

/** Program name */
char *exec_name;

/** Indicate debug mode */
int debug;
int (*print_dbg)(const char* text, ...);
int (*dbg_msg)(const char* msg, ...);

/** Indicate direct node to node mode */
int direct;

/** Node identifiers */
char host_name[HOSTNAME_SIZE];
host_id node_id;
struct in_addr node_ip;
uint16_t node_port;

/** Model identifiers */
struct sockaddr_in model_addr;

/** File descriptors */
int tap_fd;
int net_socket;
int fm;
static ifarray interfaces = { "eth0", "v_ath0", "v_ath1" };


/** Public Methods */

/**
 * Print usage details
 */
void
print_usage();

/**
 * Print help details
 */
void
print_help();

#endif
